//
// Created by Sherlock on 2024/8/12.
//

#ifndef GLOAB_H
#define GLOAB_H

#include <QChartView>
#include <QMap>
#include <QVector>
#include <QString>
#include <QList>
#include <QWidget>
#include <QFile>
#include <QLineSeries>
#include <QCompleter>
#include "qcustplot.h"

class Gloab{
public:
    static QString fileName;
    static QVector<QMap<QString,QString>> g_param[4];
    static QMap<QString,QString> temData;
    static QMap<QString,bool> namelist;
    static QList<QCustPlot*> m_QCView;
    static QWidget *widget;
    static QVector<QString> rule;
    static QFile file;
    static qint64 fileSize;
    static qint64 bytesRead;
    static QCompleter *completer;
    static QVector<double> xData[4],yData[4];
};


#endif //GLOAB_H
